/*
 Licensed Materials - Property of IBM
 5724-T40 IBM License Metric Tool
 5725-C68 IBM Tivoli Asset Discovery for Distributed
 (C) Copyright IBM Corp. 2002, 2009.
 All Rights Reserved. US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 For more detailed help, refer to product manual.
 */

function ${nameSpace}showLoadingIndicator(event) {
	var loadingElemId = '${nameSpace}progressDialog';
	if (!event || (!event.target && !event.srcElement) || document.getElementById(loadingElemId)) {
		return;
	}
	
	var mouseX = 0, mouseY = 0;
	if (event != null && event.clientX) {
		mouseX = event.clientX + (document.documentElement.scrollLeft? document.documentElement.scrollLeft: document.body.scrollLeft);
		mouseY = event.clientY + (document.documentElement.scrollTop? document.documentElement.scrollTop: document.body.scrollTop);
	} else if(event != null && event.pageX) {
		mouseX = event.pageX;
		mouseY = event.pageY;
	}
	
	var loadingElem = document.createElement("span");
	loadingElem.id = loadingElemId;
	loadingElem.style.cssText = "font:normal bold 11px arial;z-index:1;background:white;color:black;text-decoration:none;position:absolute;left:" + 
								mouseX + "px;top:" + mouseY  + "px";
								
	loadingElem.innerHTML = '<table style="border:solid 1px black"><tr>' +
							'<td><img style="border:none" src="${contextPath}/resources/images/processing-toolbar.gif"></td>' + 
							'<td style="font-weight:bold">${loadingIndicatorMessage}</td></tr></table>';
	
	(event.target? event.target: event.srcElement).parentNode.appendChild(loadingElem);	
	return true;	
}
