connect to tlma%

create procedure ADM.DROP_IF_EXISTS(in NAME char(100))
	begin
	declare STMT char(250);
	declare MSG char(20);
	
	declare continue handler for sqlstate '42704' set MSG = 'ok';
	
	set STMT = 'DROP ' concat NAME;
	prepare S1 from STMT;
	execute S1;
	end%

call ADM.DROP_IF_EXISTS('index ADM.COMP_CON_I')%
call ADM.DROP_IF_EXISTS('index ADM.AGT_VM_REL_I4')%
call ADM.DROP_IF_EXISTS('index ADM.VM_GUEST_FK_I')%
call ADM.DROP_IF_EXISTS('index ADM.AGENT_IP_I2')%
call ADM.DROP_IF_EXISTS('index ADM.AGENT_I4')%


CREATE INDEX ADM.COMP_CON_I ON ADM.COMPONENT_CONNECTIONS(AGENT_ID,AGENT_INV_ID,SRC_IP,SRC_PORT,DST_IP,DST_PORT)%
  
CREATE INDEX ADM.AGT_VM_REL_I4 ON ADM.AGT_VM_REL(VM_ID,AGENT_ID,END_TIME)%

CREATE INDEX ADM.VM_GUEST_FK_I ON ADM.VM_GUEST(GUEST_VM_ID)%
  
CREATE INDEX ADM.AGENT_IP_I2 ON ADM.AGENT_IP(IP_ADDRESS)%

CREATE INDEX ADM.AGENT_I4 ON ADM.AGENT(IP_ADDRESS)%

drop procedure ADM.DROP_IF_EXISTS%


disconnect current%
