CONNECT TO TLMA%

create procedure ADM.DROP_IF_EXISTS(in NAME char(100))
	begin
	declare STMT char(250);
	declare MSG char(20);
	
	declare continue handler for sqlstate '42704' set MSG = 'ok';
	
	set STMT = 'DROP ' concat NAME;
	prepare S1 from STMT;
	execute S1;
	end%

call ADM.DROP_IF_EXISTS('index ADM.OS_AGGR_FP2')%
	
CREATE UNIQUE INDEX ADM.OS_AGGR_REC ON ADM.PRD_OS_NODE_AGGR_REL
(
  VM_ID ASC,
  AGT_ID ASC,
  NODE_ID ASC,
  REL_ID ASC,
  PROD_ID ASC,
  START_DATE ASC,
  REPORT_GROUP_ID ASC
) 
ALLOW REVERSE SCANS%

REORG TABLE ADM.PRD_OS_NODE_AGGR_REL%

drop procedure ADM.DROP_IF_EXISTS%

disconnect tlma%