connect to tlma%

--#pragma ignore -612
alter table adm.agent_hardware_status add RESET_SW SMALLINT not null default 0%

--#pragma ignore -601
create table ADM.RESET_SW_HIST
(
	CHANGE_DATE                     timestamp          not null  default CURRENT TIMESTAMP,
	AGENT_ID                        bigint             not null,
	OLD_RESET_SW                    smallint
)%

--#pragma ignore -601
CREATE TRIGGER ADM.rstsw_track_trg
	AFTER UPDATE OF RESET_SW ON adm.agent_hardware_status
	REFERENCING OLD AS O NEW AS N
	FOR EACH ROW MODE DB2SQL
	    WHEN (O.RESET_SW <> N.RESET_SW)
		INSERT INTO ADM.RESET_SW_HIST (
			AGENT_ID,
			OLD_RESET_SW
		)
		VALUES (
			O.ID,
			O.RESET_SW
		)%
		
grant select,update on ADM.RESET_SW_HIST to user tlmsrv%
  
disconnect current%
