/*
 Licensed Materials - Property of IBM
 5724-T40 IBM License Metric Tool
 5725-C68 IBM Tivoli Asset Discovery for Distributed
 (C) Copyright IBM Corp. 2002, 2012.
 All Rights Reserved. US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 For more detailed help, refer to product manual.
 */
var isTAD4D = (isTAD4D_text == "true");
var fetchSwinvData;
var resourceBundle = {
			contextPath:"",
			reportGroup:"",
			viewType:"",
			startDate:"",
			endDate:"",
			infoCenterMessageDescriptionContextPath:"",
			infoMessageComplete:{msgId:"",msgText:""},
			warningDataChanged:{msgId:"",msgText:""},
			errorRefreshingMqtTable:{msgId:"",msgText:""},
			consoleCouldNotConnect:{msgId:"",msgText:""},
			actionSuccessful:{msgId:"",msgText:""},
			
			BundleFromProductButton:"",
			BundleFromProductButtonReassign:"",
			BundleFromProductDialogTitle:"",
			BundleFromProductTableColumnApplicableRules:"",
			BundleFromProductTableColumnConfidenceLevel:"",
			BundleFromProductTableColumnComponent:"",
			BundleFromProductTableColumnHostname:"",
			BundleFromProductTableColumnPath:"",
			BundleFromProductTableColumnProduct:"",
			BundleFromProductTableTargetRelease:"",
			BundleFromProductTableTitle:"",
			ButtonBundleText:"",
			ButtonShowBundlesText:"",
			ConfidenceDialogButtonCancel:"",
			ConfidenceDialogButtonOK:"",
			ConfidenceDialogChooseConfidence:"",
			ConfidenceDialogErrorMinMax:"",
			ConfidenceDialogMaximalConfidenceLabel:"",
			ConfidenceDialogMaximalConfidenceTitle:"",
			ConfidenceDialogMinimalConfidenceLabel:"",
			ConfidenceDialogMinimalConfidenceTitle:"",
			ConfidenceExplanationConfirmed:"",
			ConfidenceExplanationRebundled:"",
			ConfidenceExplanationSimple:"",
			ConfidenceExplanationUnconfirmed:"",
			ConfidenceFilterChangeFilterSettings:"",
			ConfidenceFilterClearFilter:"",
			ConfidenceFilterInfo:"",
			ConfidenceFilterLabel:"",
			ConfigureOptionsDialogTitle:"",
			DialogTitle:"",
			DialogRefreshingTitle:"",
			MenuBundleConfirm:"",
			MenuBundleExclude:"",
			MenuBundleInclude:"",
			MenuBundleInstances:"",
			MenuBundleReleases:"",
			MenuBundleAdvanced:"",
			MenuBundleShareInstance:"",
			MenuBundleShareToRelease:"",
			RuleDescriptionCATALOG_RULE:"",
			RuleDescriptionCOLOC_AGT_RULE:"",
			RuleDescriptionMIN_PATH_RULE:"",
			RuleDescriptionDEPD_RULE:"",
			RuleDescriptionPN_RULE:"",
			RuleDescriptionConfirmed:"",
			RuleDescriptionRebundled:"",
			RuleDescriptionSimple:"",
			RuleDescriptionUnconfirmed:"",
			TableColumnApplicableRules:"",
			TableColumnConfidenceLevel:"",
			TableColumnMinimalConfidenceLevel:"",
			TableColumnProductName:"",
			TableMultipleSelectedInfo:"",
			TableProcessingInfo:"",
			TableSimpleSkippedInfo:"",
			TreeTableColumnBundleRules:"",
			TreeTableColumnComments:"",
			TreeTableColumnConfidence:"",
			TreeTableColumnCpuCoreFull:"",
			TreeTableColumnCpuCoreSub:"",
			TreeTableColumnCurrentServerId:"",
			TreeTableColumnHostname:"",
			TreeTableColumnInstallationPaths:"",
			TreeTableColumnOperatingSystem:"",
			TreeTableColumnScanGroup:"",
			TreeTableColumnManufacturer:"",
			TreeTableColumnPartitionCores:"",
			TreeTableColumnPartNumbers:"",
			TreeTableColumnProcessorType:"",
			TreeTableColumnServerCpuCoresLimit:"", 
			TreeTableColumnServerCpuCoresSub:"",
			TreeTableColumnServerPvuLimit:"",			
			TreeTableColumnServerPvuSub:"",
			TreeTableColumnProductReleaseComponent:"",
			TreeTableColumnReleaseComponent:"",
			TreeTableColumnPvuFull:"",
			TreeTableColumnPvuPerCore:"",
			TreeTableColumnPvuSub:"",
			TreeTableColumnServerIdForPeak:"",
			TreeTableColumnServerSystemModel:"",
			TreeTableColumnServerTier:"",
			TreeTableColumnPartitionId:"",
			TreeTableColumnPartitionCores:"",
			TreeTableColumnMaxPartitionCores:"",
			TreeTableColumnServerCpuCores:"",
			TreeTableColumnCpuCores:"",
			TreeTableFrameTitle:"",
			TreeTableHintTextAgentDeleted:"",
			TreeTableHintTextAggregationOutputUnavailable:"",
			TreeTableHintTextAggregationOutputUnavailableReasonFreeInstance:"",
			TreeTableHintTextAggregationOutputUnavailableReasonFullCapacityProduct:"",
			TreeTableHintTextAggregationOutputUnavailableReasonOnlyFreeInstances:"",
			TreeTableHintTextAggregationOutputUnavailableReasonOnlyInstancesOnSharedDisks:"",
			TreeTableHintTextAggregationOutputUnavailableReasonInstanceOnSharedDisks:"",
			TreeTableHintTextAggregationOutputUnavailableReasonNoInstancesForPartNumber:"",
			TreeTableHintTextAggregationOutputUnavailableReasonInstancesOnSharedDisksOrFreeInstances:"",
			TreeTableHintTextAggregationPending:"",
			TreeTableHintTextConfidenceExplanation:"",
			TreeTableHintTextConfidencePending:"",
			TreeTableHintTextExcluded:"",
			TreeTableHintTextExclusionReasonbackup:"",
			TreeTableHintTextExclusionReasonbeta:"",
			TreeTableHintTextExclusionReasoncomponent:"",
			TreeTableHintTextExclusionReasonevaluation:"",
			TreeTableHintTextExclusionReasonincomplete_wca:"",
			TreeTableHintTextExclusionReasonmaintenance:"",
			TreeTableHintTextExclusionReasonno_licensing:"",
			TreeTableHintTextExclusionReasonnot_compatible:"",
			TreeTableHintTextExclusionReasonother:"",
			TreeTableHintTextFreeInstance:"",
			TreeTableHintTextFullCapacityProduct:"",
			TreeTableHintTextInstanceOnSharedDisk:"",
			TreeTableHintTextUnconfirmedProduct:"",
			TableCurrentAssignment:"",
			ExcludeTableDialogTitle:"",
			ExcludeTableDialogComponent:"",
			ExcludeTableDialogLabel:"",
			ExcludeTableButtonLabelBack:"",
			ExcludeTableButtonLabelExclude:"",
			ExcludeDialogTitle:"",
			ProvideExclusionReason:"",
			IncludeTableDialogLabel:"",
			IncludeTableButton:"",
			ExcludeTableButton:"",
			SharedDialogTitle:"",
			SharedButtonText:"",
			TreeTablePathNotExists:"",
			TreeTableHintTextPathNotExists:"",
			ConfirmDialogDialogTitle:"",
			ExcludeDialogDialogTitle:"",
			IncludeDialogDialogTitle:"",
			SharedDialogDialogTitle:"",
			TargetTableShareInstanceHintText:"",
			TargetTableShareProductHintText:"",
			TargetTableShareInstanceHintTextEmpty:"",
			VmManagerMissing:"",
			NumberOfInstances:"",
			NumberOfReleases:"",
			InfoDisplayedProducts:"",
			InfoDisplayedReleases:"",
			LabelDescriptionDetailed:""

}; 

var prod_inv_id = [];
var updateTime = [];
var prod_inv_id_complex = [];
var updateTime_complex = [];
var msgDialog = null;
var initialMessages;
var connections = [];
var triggeredAggregations = {};
var triggeredAutoBundlings = {};

function resizeTreeTable() {
	if (treetable) {
			var newHeight = Math.max((Math.max(parent.document.body.clientHeight, parent.document.documentElement.clientHeight) - (dojo.isIE ? 90 : 70)), 350);									
			var table = document.getElementById('multiMessageTable');
			var clientHeight = 0;
			if (table) {
				clientHeight = table.clientHeight;
			}				
			var oldH = treetable.height+"";
			var newH = ((newHeight-clientHeight)-90)+"";
			if(newH !== oldH){
				treetable.height=((newHeight-clientHeight)-90)+"";
				treetable.resize();
			}
     }
}

function formatLabel(label, args) {
	if (typeof args == "string") {
		args = [ args ];
	}
	var tokens = label.match(/{\d+}/g);
	if (tokens) {
		for ( var i = 0; i < tokens.length; i++) {
			label = label.replace(tokens[i], args[tokens[i].match(/\d+/)]);
		}
	}
	return label;
};

displayText = function(text) {
	return text;
};

displayNumber  = function(number){ 
	if(number == undefined)
	{ 
		return number;
	} else { 
		return  "<div align='right'>"+number+"</div>";
	};
};


displayPercentage = function(text) {
	return text + '%';
};

function showMessage(messageId, messageText, shouldResize) {
	if(dojo.byId(messageId)==undefined || dojo.byId(messageId)==null) {
		var messageType = "error";
		if(messageId && messageId!==''){
			switch (messageId.charAt(messageId.length - 1)) {
			case 'E':
				messageType = "error";
				break;
			case 'W':
				messageType = "warning";
				break;
			case 'I':
				messageType = "info";
				break;
			}
		}
		else{
			messageId = resourceBundle.consoleCouldNotConnect.msgId;
			messageText = resourceBundle.consoleCouldNotConnect.msgText;
		}
		
		var table = document.getElementById('multiMessageTable');
		var rowCount = table.rows.length;
		
		var newRow = table.insertRow(rowCount);
		var newCell = newRow.insertCell(0);
		
		var newDiv = document.createElement('div');
		newDiv.id = messageId;
		newCell.appendChild(newDiv);
		dojo.style(dojo.byId(messageId),"width:100%;height:100;align:center;");
		dojo.parser.parse();
		
		var msgArea = new dojoe.messagearea.MessageArea(null, newDiv.id);
		msgArea.setType(messageType);
		msgArea.setMessage(messageText);
		msgArea.url = formatMessageDescriptionHelpLink(messageId);
		msgArea.setMessageId(messageId);
		_registerMessageAreaOnCloseEvent(msgArea, table, newRow);
		msgArea.show();
		if(shouldResize){
			resizeTreeTable();
		}
			
	}
}

function formatMessageDescriptionHelpLink(messageId) {
	return location.protocol + "//" + location.host + 
		   resourceBundle.infoCenterMessageDescriptionContextPath + 
		   messageId + ".html?noframes=true"; 
}

function _registerMessageAreaOnCloseEvent(msgArea, msgTable, msgTableRow) {	
	if (!msgArea || !msgTable || !msgTableRow){
		return;
	}		
	connections.push(
		dojo.connect(msgArea,"_onClose", function() {
			msgTable.deleteRow(msgTableRow.sectionRowIndex);
			resizeTreeTable();
		})
	);
}

function closeAllMessages(){
	var table = document.getElementById('multiMessageTable');
	
	var rowCount = table.rows.length;
	for(var i=0;i<rowCount;i++){
		if(table.rows[0].cells[0].firstChild){
			var div = dijit.byId(table.rows[0].cells[0].firstChild.id);
			if(div){
				div.destroyRecursive();
			}
		}
		table.deleteRow(0);
	}
	//do not resize treetable yet
}

function showProgressDlgIndicator(dialogId, dialogTitle){
	var dialog1 = new dijit.Dialog(
			{
				id : dialogId,
				title : dialogTitle,
				resizeable : true,
				closable : false,
				modal : true,
				style : "width: 280px; height: auto;"
			});
	var html = '<div id="progress_' + dialogId + '"></div>';
	dialog1.attr("content", html);
	dojo.parser.parse(dialogId);
	dialog1.show();

	var progressBarIndicator = new dojoe.progressbar.EnhancedProgressBar( {
		progressIndicatorType : 0,
		cancellable : false,
		hidden : false,
		closeable : false,
		pauseable : false,
		processingLabel : resourceBundle.TableProcessingInfo,
		maximumValue : 100,
		width : (dojo.isIE == 7)?'278px':'280px',
		height : '50px',
		size : "medium",
		showmessagetext : true
	}, 'progress_' + dialogId);

	progressBarIndicator.doProgress(0, resourceBundle.TableProcessingInfo);
	
	return dialog1;
}

function closeAndDestroyDialog(dialog){
	if (dialog) {
		setTimeout(function(){ 
			dialog.destroyRecursive();
			dialog = null;
		}, 0);
	}
}

function onFetchErrorHandler(err, req) {
	var tmsId;
	var errorText;
	var errorInfo = err.responseText;
	
	if(errorInfo) {
		errorInfo = errorInfo.split("|");
		tmsId = errorInfo[1];
		errorText = errorInfo[2];
	} else {
		tmsId = '';
		errorText = err.message;
	}
	
	if ('CODIF1101E' == tmsId) { //the user session has expired
		window.top.location.reload(false);		
	} else {
		showMessage(tmsId, errorText);
	}
};


function cleanupWidgets() {
	if (dijit.byId('customSeparator')) {
		dijit.byId('customSeparator').destroyRecursive();
	}
	if (dijit.byId('actionSeperator')) {
		dijit.byId('actionSeperator').destroyRecursive();
	}
	if (dijit.byId('treegrid')) {
		var widgetArr = dijit.byId('treegrid').getChildren();
		dojo.forEach(widgetArr, function(child) {
			child.destroyRecursive();
		});
		dijit.byId('treegrid').destroyRecursive();
	}
	if (dijit.byId('TreeTable_Programmatic')) {
		var widgetArr = dijit.byId('TreeTable_Programmatic').getChildren();
		dojo.forEach(widgetArr, function(child) {
			child.destroyRecursive();
		});
		dijit.byId('TreeTable_Programmatic').destroyRecursive();
	}
}

function isSoftInvDataRefreshNeeded(){
	return resourceBundle.viewType !== "ALL_PRODUCTS" 
		&& resourceBundle.viewType !== "PVU_PRODUCTS";
}

function buildDownloadCSVLink(elementID)
{
	  link = parent.document.getElementById(elementID);  
	  var newReportGroupValue="";
	  var reportGroupSelect = dijit.byId('selectReportGroup');
	  if(reportGroupSelect != null && reportGroupSelect != undefined){ //service providers can be disabled
		  newReportGroupValue = reportGroupSelect.value;
	  }
	  
	  if(sortOrder == '' && sortColumn != 99){
		  if(sortIsDesc == true){
			  sortOrder = "-";
		  }
		  sortOrder += sortColumn;
      }		
	  
	  var params = 	resourceBundle.contextPath+"/CSVListGetterServlet?viewType="+resourceBundle.viewType+
			        "&startDate="+resourceBundle.startDate+
			        "&endDate="+resourceBundle.endDate+
	                "&confMin="+confMin+
	                "&confMax="+confMax+
	  				"&filter="+quickFilter+
	  				"&sortOrder="+sortOrder+ 
	  				"&reportGroup="+newReportGroupValue+
	  				"&sessionId="+sessionId+
	  				"&columnFilterMapping=" + getColumnFilterMappingAsString();
					
	  if(!isSoftInvDataRefreshNeeded()){
		columFilterParam = buildColumnFilterParameterAsString(true);
			if(columFilterParam !== "")
				params += "&" + columFilterParam;
	  }

	  link.setAttribute("href", params);
}

function arrayToString(array) {
	return array.join(",");
}

function getXMLHttpRequest() {
	//just to make sure that everything is fine in all IE versions
    if (window.XMLHttpRequest) {
        return new window.XMLHttpRequest;
    }
    else {
        try {
            return new ActiveXObject("MSXML2.XMLHTTP.3.0");
        }
        catch(ex) {
            return null;
        }
    }
}


function sendServletRequest(requestType, servletName, requestData, onReady) {
	var xhr = getXMLHttpRequest();
	xhr.open(requestType, resourceBundle.contextPath+'/' + servletName, true);
	xhr.setRequestHeader("Content-type", "application/x-www-form-urlencoded; charset=utf-8");
	xhr.setRequestHeader("Content-length", requestData.length);
	if(onReady!=undefined && onReady!=null){
		xhr.onreadystatechange = dojo.hitch(xhr,onReady);
	}else{
		xhr.onreadystatechange = function(){};
	}
	xhr.send(requestData);
	
	return xhr;
}

function sendServletRequestAndCleanup(requestType, servletName, requestData, objsToDestroy, showMsg) {
	if(requestData.indexOf('viewType')<0){
		requestData+='&viewType='+resourceBundle.viewType;
	}
	 sendServletRequest(requestType, servletName, requestData, function() {
			if (this.readyState == 4) {
				closeAndDestroyAll(objsToDestroy);
				closeAllMessages();
				
				if (this.status != 200) {
					var errorInfo = this.responseText;
					errorInfo = errorInfo.split("|");
	
					var tmsId = errorInfo[1];
					var errorText = errorInfo[2];
					
					showMessage(tmsId, errorText);
					if("CODDB3020E" == tmsId){			//this error means that db has been modified by another user
						refreshAndCollapseTreetable(false, true); //so we want to show user current data
					}
				} else {
					treetable.grid.selection.deselectAll();//clear selection after action					 
					if(showMsg){
						// showMsg.msgId is the code of the message, 
						// showMsg.msgText is the message.
						showMessage(showMsg.msgId, showMsg.msgText);
					} else if (this.responseText) {
						var info = info.split("|");
						
						var tmsId = info[1];
						var infoText = info[2];
						showMessage(tmsId, infoText);
					} else {
						//display message about successfully performed action
						showMessage(resourceBundle.actionSuccessful.msgId, resourceBundle.actionSuccessful.msgText);
					}
					refreshAndCollapseTreetable(false, true);
				}
			}
	});
}

function selectView(){
	var viewComboOptions = dijit.byId('selectView').options;
	for(var i=0;i<viewComboOptions.length;i++){
		viewComboOptions[i].selected = (viewComboOptions[i].value==resourceBundle.viewType);
	}
}

function refreshMQTAndRecreateTreetable(dlgRefresh){
	
	if(fetchSwinvData && !dlgRefresh && isSoftInvDataRefreshNeeded()){
		dlgRefresh=showProgressDlgIndicator('refresh',resourceBundle.DialogRefreshingTitle);
	}
	if(fetchSwinvData && isSoftInvDataRefreshNeeded()){
		sendServletRequest('POST', 'ActionServlet', 'target=refresh&sessionId=' + sessionId, function(){
			if (this.readyState == 4) {
				closeAndDestroyDialog(dlgRefresh);
				dlgRefresh = null;
				
				if (this.status != 200) {
					showMessage(resourceBundle.errorRefreshingMqtTable.msgId,resourceBundle.errorRefreshingMqtTable.msgText);
				}
				destroyAndCreateTreetable();
			}
		});
	}else{//do not refresh data if critical error occurred or view type is ALL_PRODUCTS or PVU_PRODUCTS
		if(dlgRefresh){
			closeAndDestroyDialog(dlgRefresh);
			dlgRefresh = null;
		}
		destroyAndCreateTreetable();
		
	}
}

function destroyAndCreateTreetable(){
	initTreeTableLayout();
	var initialH;
	if(treetable && document.getElementById('TreeTable_Programmatic')){
		initialH = treetable.height;
		treetable.destroy();
		var div = dojo.create('div',{id : "TreeTable_Programmatic"},"table1Menu", "before");
	}
	var menu = dijit.byId('table1Menu');
	if(menu && menu!=null){
		menu.destroyRecursive();
	}
	var divMenu = dojo.create('div',{id : "table1Menu"},"TreeTable_Programmatic", "after");

	createTreeTableMainMenu();
	createTreeTable(initialH);
	dojo.parser.parse();
	buildDownloadCSVLink('DownloadCSV');
	//resize is not needed here because it happens _onFetchComplete, _onFetchError
	
}

function initSoftwareInventoryWidgets(){
	createTreeTableMainMenu();
	dojo.addOnLoad(function() {
		//workaround to change nested sorting behavior
		dojox.grid.enhanced.plugins.NestedSorting.prototype._onHeaderCellClick = function(e){
			if(dojo.hasClass(e.target, 'dojoxGridSortBtn')){
				this._onSortBtnClick(e);
				dojo.stopEvent(e);
			}else{
				this._focusRegion(e.target);
			}
		}; 
		
		if(dojo.isIE){
			//needed in IE
			if(!window.parent.parent.onresize || window.parent.parent.onresize==null){
				window.parent.parent.onresize =  function() {	
					softInvResize();
				};  
			}
			window.parent.parent.onresize();
		} else {		
			//needed in FF
			if(!window.parent.onresize || window.parent.onresize==null){
				window.parent.onresize =  function() {	
					softInvResize();
				};  
			}
			window.parent.onresize();
		}
		//clean up widgets
		cleanupWidgets();
		selectView();
		setTriggerAggregationEnabledState();
		setTriggerAutoBundlingEnabledState();
		showInitialMessages();	
		refreshMQTAndRecreateTreetable();
	});
}

function changeGetSelectedFunction(table){
	//workaround suggested by DOJO (a bit modified) to get selected items from all pages
	table.grid.selection.getSelectedOnAllPages = function(){
	    var res = [], preserver = this.grid.selection.preserver;
	    if(preserver){
	        var id, selected = preserver._selectedById;
	        for(id in selected){
	            if(selected[id]){
	                res.push(table.grid.store._itemsByIdentity[id]);
	            }
	        }
	    }
	    return res;
	};
	table.getSelectedRowsOnAllPages = function() {
		return this.grid.selection.getSelectedOnAllPages();
	};
	table.getSelectedRowCountOnAllPages = function() {
		return this.grid.selection.getSelectedOnAllPages().length;
	};
	
}

function refreshAndCollapseTreetable(showMsg, shouldResize){
	checkLastUpdateTime(showMsg);
	if(hideEmptyColumns){
		showInstanceLevelColumns(true);//force hiding instance-level columns
	}
	jsonStore.close();
	jsonStore.lastRequestHash = "0";
	if(shouldResize) {
		resizeAfterFetch = true;
	}

	setTimeout(function(){
		treetable.grid._cleanup();	
		treetable.grid._refresh(true);
		onClickTreeTableHandler();//enable/disable actions
	},1);

}

function showInitialMessages(){
	var msgs = initialMessages.split("|");
	for(var i=0;i<msgs.length-1;i+=2){
		showMessage(msgs[i], msgs[i+1]);
	}
}

function onUpdateButtonClick(){
	var newReportGroupValue="";
	var reportGroupParam = "";
	var reportGroupSelect = dijit.byId('selectReportGroup');
	if(reportGroupSelect != null && reportGroupSelect != undefined){ //service providers can be disabled
		newReportGroupValue = reportGroupSelect.value;
		reportGroupParam = '&reportGroup=' + newReportGroupValue;
	}
	
	var newViewType = dijit.byId('selectView').value;	
	var startValue = dijit.byId('selectStartDate').get('value');
	var endValue = dijit.byId('selectEndDate').get('value');
	var hideFree = dijit.byId('hideFree').checked;
	if(!startValue || !endValue){
		//invalid date value(s)
		return;
	}
	var newStartDate = dojo.date.locale.format(startValue, {datePattern: "yyyy-MM-dd", selector: "date"});
	var newEndDate = dojo.date.locale.format(endValue, {datePattern: "yyyy-MM-dd", selector: "date"});
	
	if((newViewType!=resourceBundle.viewType || newReportGroupValue!=resourceBundle.reportGroup)
			&& newStartDate==resourceBundle.startDate && newEndDate==resourceBundle.endDate){
		//only view type or report group changed - adjust dates
		newStartDate='';
		newEndDate='';
	}
	var dlgSave = showProgressDlgIndicator('saveViewCriteria', resourceBundle.DialogRefreshingTitle);
	sendServletRequest('POST','ActionServlet',
			'target=saveViewCriteria'+reportGroupParam+'&viewType='+newViewType+'&startDate='+newStartDate+'&endDate='+newEndDate+'&hideFree='+hideFree + '&sessionId=' + sessionId,
		function(){
		//incorrect values->show error
		if (this.readyState == 4) {			
			if (this.status != 200) {
				closeAndDestroyDialog(dlgSave);
				closeAllMessages();
				dlgSave = null;
				var errorInfo = this.responseText;
				errorInfo = errorInfo.split("|");
				var tmsId = errorInfo[1];
				var errorText = errorInfo[2];
				showMessage(tmsId, errorText, true);
				treetable.grid.showMessage(treetable.grid.errorMessage);
			}else{	
				var response = dojo.fromJson(this.responseText);
				resourceBundle.reportGroup = newReportGroupValue;
				resourceBundle.viewType = newViewType;	
				resourceBundle.startDate = response.startDate;
				resourceBundle.endDate = response.endDate;
				dijit.byId('selectStartDate').set("value", dojo.date.locale.parse(response.startDate,{datePattern:'yyyy-MM-dd',selector:"date"}));
				dijit.byId('selectEndDate').set("value", dojo.date.locale.parse(response.endDate,{datePattern:'yyyy-MM-dd',selector:"date"}));
				initialMessages = response.initialMessages;
				
				refreshMQTAndRecreateTreetable(dlgSave);
				dlgSave = null;
				listOfDivs = [];
				setTimeout(function(){
					closeAllMessages();
					showInitialMessages();
				},500);
			}
		}
	});
}

function closeAndDestroyAll(objectsToDestroy){ //table, dialog, store, connections
	if(objectsToDestroy){
		if(objectsToDestroy["progressDlg"]){
			closeAndDestroyDialog(objectsToDestroy["progressDlg"]);
			objectsToDestroy["progressDlg"] = null;
		}
		
		if(objectsToDestroy["connections"]){
			dojo.forEach(objectsToDestroy["connections"], function(link){dojo.disconnect(link);});
			objectsToDestroy["connections"] = null;
		}
		
		if(objectsToDestroy["store"]){
			objectsToDestroy["store"].close();
			objectsToDestroy["store"] = null;
		}
		
		if(objectsToDestroy["otherObjects"]){
			dojo.forEach( objectsToDestroy["otherObjects"],
				function(o){
					if(o && !o._destroyed){
						if(o.destroyRecursive)
							o.destroyRecursive();
						else if(o.destroy)
							o.destroy();				
					}	
					
					o = null;
				}
			);
			objectsToDestroy["otherObjects"] = null;
		}
						
		if (objectsToDestroy["mainDialog"]) {
		//	var dialog = objectsToDestroy["mainDialog"];	
			closeAndDestroyDialog(objectsToDestroy["mainDialog"]);		}
	}
	
	objectsToDestroy = null;
}

function setTriggerAggregationEnabledState(){
	var selectReportGroup = dijit.byId('selectReportGroup');
	var selectedRGid = defaultRgId;
	if(selectReportGroup){
		 selectedRGid = selectReportGroup.get('value');
	}

	if(triggeredAggregations[selectedRGid] == 'true'){	//aggr is already triggered for this RG
		dojo.style('triggerAggregationEnabled', 'display', 'none');
		dojo.style('triggerAggregationDisabled', 'display', 'inline');
	}
	else{
		dojo.style('triggerAggregationEnabled', 'display', 'inline');
		dojo.style('triggerAggregationDisabled', 'display', 'none');
	}
}

function onTriggerAggregationLinkClick(){
	var selectReportGroupWidget = dijit.byId('selectReportGroup');
	var reportGroupId = defaultRgId;
	
	if(selectReportGroupWidget){
		reportGroupId = selectReportGroupWidget.get('value');
	}
	
	var dlgSave = showProgressDlgIndicator('triggerAggregationDlg', resourceBundle.DialogRefreshingTitle);
	sendServletRequest('POST','ActionServlet','target=aggregateReportGroup&reportGroup='+reportGroupId + '&sessionId=' + sessionId,
		function(){
		//show returned message (info about success or error)
		if (this.readyState == 4) {
			closeAndDestroyDialog(dlgSave);
			closeAllMessages();
			dlgSave = null;
			var msgInfo = this.responseText;
			msgInfo = msgInfo.split("|");
			var tmsId = msgInfo[1];
			var msgText = msgInfo[2];
			showMessage(tmsId, msgText, true);
			if (this.status == 200){
				triggeredAggregations[reportGroupId] = "true";
				setTriggerAggregationEnabledState();
			}
		}
	});
}
	
function setTriggerAutoBundlingEnabledState(){
	var selectReportGroup = dijit.byId('selectReportGroup');
	var selectedRGid = defaultRgId;
	if(selectReportGroup){
		 selectedRGid = selectReportGroup.get('value');
	}

	if(triggeredAutoBundlings[selectedRGid] == 'true'){	//auto bundling is already triggered for this RG
		dojo.style('triggerAutoBundlingEnabled', 'display', 'none');
		dojo.style('triggerAutoBundlingDisabled', 'display', 'inline');
	}
	else{
		dojo.style('triggerAutoBundlingEnabled', 'display', 'inline');
		dojo.style('triggerAutoBundlingDisabled', 'display', 'none');
	}
}

function onTriggerAutoBundlingLinkClick(){
	var selectReportGroupWidget = dijit.byId('selectReportGroup');
	var reportGroupId = defaultRgId;
	
	if(selectReportGroupWidget){
		reportGroupId = selectReportGroupWidget.get('value');
	}
	
	var dlgSave = showProgressDlgIndicator('triggerAutoBundlingDlg', resourceBundle.DialogRefreshingTitle);
	sendServletRequest('POST','ActionServlet','target=autoBundleReportGroup&reportGroup='+reportGroupId + '&sessionId=' + sessionId,
		function(){
		//show returned message (info about success or error)
		if (this.readyState == 4) {
			closeAndDestroyDialog(dlgSave);
			closeAllMessages();
			dlgSave = null;
			var msgInfo = this.responseText;
			msgInfo = msgInfo.split("|");
			var tmsId = msgInfo[1];
			var msgText = msgInfo[2];
			showMessage(tmsId, msgText, true);
			if (this.status == 200){
				triggeredAutoBundlings[reportGroupId] = "true";
				setTriggerAutoBundlingEnabledState();
			}
		}
	});
}