/*
 Licensed Materials - Property of IBM
 5724-T40 IBM License Metric Tool
 5725-C68 IBM Tivoli Asset Discovery for Distributed
 (C) Copyright IBM Corp. 2002, 2011.
 All Rights Reserved. US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 For more detailed help, refer to product manual.
 */

function confirmSelected() {
    if (releases.length == 0)
	{    
    	var prodInv = arrayToString(prod_inv_id_complex);
		var dataItems = prod_inv_id_complex.length;
		var formData = "target=approve&productInventoryId=" + prodInv+'&sessionId='+sessionId;
    }
	else
	{
		var dataItems = nmbOfInstancesInSelectedReleases;
        var relList  = arrayToString(releases);
        var quickFilter = getQuickFilterText();
        var formData = "target=approveRelease&releases="+relList+"&filterText="+quickFilter+"&startDate="+resourceBundle.startDate+"&endDate="+resourceBundle.endDate+"&confMin="+confMin+"&confMax="+confMax+"&viewType="+resourceBundle.viewType+"&columnFilterMapping="+getColumnFilterMappingAsString()+"&"+buildColumnFilterParameterAsString()+'&sessionId='+sessionId;
        //var formData = "target=approveRelease&releases="+relList;
	} 
	var dialog1 = showProgressDlgIndicator('confirmSelected',resourceBundle.ConfirmDialogDialogTitle);
	//Pattern to send a confirmation message.
	var showMsg =  {
			msgId: resourceBundle.infoMessageComplete.msgId,
			msgText: formatLabel(resourceBundle.infoMessageComplete.msgText, ""+dataItems)
	};

	var localObjectsToDestroy = {};
	localObjectsToDestroy["progressDlg"] = dialog1;
	
	sendServletRequestAndCleanup('POST', 'ActionServlet', formData, localObjectsToDestroy, showMsg);
};
