connect to tlma%

update ADM.CONTROL set VALUE='7.5.0.14' WHERE NAME='DATABASE_VERSION'%

insert into
  lic.RES_CONF_KEY_REL
 select distinct
   TYPE, 
   CONF_KEY_ID,
   '7.5.0.14' as version,
   VALUE_RANGE_MAX,
   VALUE_RANGE_MIN
 from 
   lic.RES_CONF_KEY_REL
 where
   version in
     ('7.5.0.10')
   and not exists
     (select * from lic.RES_CONF_KEY_REL where version = '7.5.0.14')%

insert into adm.control (name, value)
select 
  'USE_SCAN_CONFIG_TIME',
  CHAR(DATE(CURRENT TIMESTAMP - CURRENT TIMEZONE), JIS) CONCAT ' ' CONCAT CHAR(TIME(CURRENT TIMESTAMP - CURRENT TIMEZONE), JIS) CONCAT '.0'
from
  sysibm.sysdummy1
where not exists
  (select * from adm.control where name = 'USE_SCAN_CONFIG_TIME')%
  
disconnect current%
