connect to tlma%

-- procedure to delete constraint
create procedure ADM.DROP_CONSTRAINT_IF_EXISTS(in TAB_NAME char(50), in CONSTRAINT_NAME char(50))
	begin
	declare STMT char(250);
	declare MSG char(20);
	
	declare continue handler for sqlstate '42704' set MSG = 'ok';
	
	set STMT = 'ALTER TABLE ' concat TAB_NAME concat ' DROP CONSTRAINT ' concat CONSTRAINT_NAME;
	prepare S1 from STMT;
	execute S1;
	end%
	
call ADM.DROP_CONSTRAINT_IF_EXISTS('ADM.INST_NATIVE_SW','INST_NATIVE_SW')%

-- primary key
alter table ADM.INST_NATIVE_SW add constraint INST_NATIVE_SW primary key
(
    AGENT_ID,
    NATIVE_ID,
    INSTALL_PATH
)%

drop procedure ADM.DROP_CONSTRAINT_IF_EXISTS%

disconnect current%
