connect to tlma%

-- procedure to delete index 
create procedure ADM.DROP_INDEX_IF_EXISTS(INDEX_NAME char(50))
	begin
	declare STMT char(250);
	declare MSG char(20);
	
	declare continue handler for sqlstate '42704' set MSG = 'ok';
	
	set STMT = 'DROP INDEX ' concat INDEX_NAME;
	prepare S1 from STMT;
	execute S1;
	end%
	
call ADM.DROP_INDEX_IF_EXISTS('ADM.AGENT_USE_IDX')%

CREATE INDEX ADM.AGENT_USE_IDX ON ADM.AGENT_USE ( AGENT_ID, SIGNATURE_GUID)%

drop procedure ADM.DROP_INDEX_IF_EXISTS%

disconnect current%
